/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.registry;

import java.util.Map;

/**
 * @author Raymond Augé
 */
public interface Filter {

	@Override
	public boolean equals(Object object);

	@Override
	public int hashCode();

	public boolean matches(Map<String, Object> properties);

	public boolean matches(ServiceReference<?> serviceReference);

	public boolean matchesCase(Map<String, Object> properties);

	@Override
	public String toString();

}