/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.registry;

/**
 * @author Raymond Augé
 */
public class RegistryUtil {

	public static Registry getRegistry() {
		if (_registry != null) {
			return _registry.getRegistry();
		}

		throw new NullPointerException("A registry instance was never set");
	}

	public static void setRegistry(Registry registry) {
		if (_registry != null) {
			registry = _registry.setRegistry(registry);
		}
		else if (registry != null) {
			registry = registry.setRegistry(registry);
		}

		_registry = registry;
	}

	private static Registry _registry;

}