/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.registry;

import java.util.SortedMap;

/**
 * @author Raymond Augé
 */
public interface ServiceTracker<S, T> {

	public T addingService(ServiceReference<S> serviceReference);

	public void close();

	@Override
	public boolean equals(Object object);

	public T getService();

	public T getService(ServiceReference<S> serviceReference);

	public ServiceReference<S> getServiceReference();

	public ServiceReference<S>[] getServiceReferences();

	public Object[] getServices();

	public T[] getServices(T[] services);

	public SortedMap<ServiceReference<S>, T> getTrackedServiceReferences();

	public int getUpdateMarker();

	@Override
	public int hashCode();

	public boolean isEmpty();

	public void modifiedService(
		ServiceReference<S> serviceReference, T service);

	public void open();

	public void open(boolean trackAllServices);

	public void remove(ServiceReference<S> serviceReference);

	public void removedService(ServiceReference<S> serviceReference, T service);

	public int size();

	@Override
	public String toString();

	public T waitForService(long timeout) throws InterruptedException;

}