/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.registry.collections;

import java.io.Closeable;

import java.util.Set;

/**
 * @author Carlos Sierra Andrés
 */
public interface ServiceTrackerMap<K, R> extends Closeable {

	@Override
	public void close();

	public boolean containsKey(K key);

	public R getService(K key);

	public Set<K> keySet();

}