/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.registry.dependency;

import com.liferay.registry.Filter;
import com.liferay.registry.ServiceReference;

/**
 * @author Michael C. Han
 */
public class FilterServiceDependencyVerifier
	implements ServiceDependencyVerifier {

	public FilterServiceDependencyVerifier(Filter filter) {
		_filter = filter;
	}

	@Override
	public boolean equals(Object object) {
		if (this == object) {
			return true;
		}

		if ((object == null) || (getClass() != object.getClass())) {
			return false;
		}

		return _filter.equals(object);
	}

	@Override
	public int hashCode() {
		return _filter.hashCode();
	}

	@Override
	public String toString() {
		return _filter.toString();
	}

	@Override
	public boolean verify(ServiceReference<?> serviceReference) {
		return _filter.matches(serviceReference);
	}

	private final Filter _filter;

}